//***********************************************************************
//		MonitorTest / ColorView.h
//
//					Copyright (c) 2003 David Blumberg
//						davidblumberg@pixay.com
//					Published under the MIT license
//***********************************************************************

#ifndef COLOR_VIEW_H
#define COLOR_VIEW_H

#include <Application.h>
#include <Screen.h>
#include <View.h>


class ColorView : public BView
{
	public:
						ColorView(BRect frame, const char *name, uint32 resizingMode = B_FOLLOW_ALL, uint32 flags = B_WILL_DRAW);
						~ColorView();
		virtual void	Draw(BRect updateRect);
		void			MouseDown(BPoint where);
	
	private:
		BScreen			fScreen;
		BRect			screenRect;
};

#endif // COLOR_VIEW_H
