//***********************************************************************
//		MonitorTest / ConvergenceView.h
//
//					Copyright (c) 2003 David Blumberg
//						davidblumberg@pixay.com
//					Published under the MIT license
//***********************************************************************

#ifndef CONVERGENCE_VIEW_H
#define CONVERGENCE_VIEW_H

#include <Application.h>
#include <Screen.h>
#include <View.h>


class ConvergenceView : public BView
{
	public:
						ConvergenceView(BRect frame, const char *name, uint32 resizingMode = B_FOLLOW_ALL, uint32 flags = B_WILL_DRAW);
						~ConvergenceView();
		virtual void	Draw(BRect updateRect);
		void			MouseDown(BPoint where);
	
	private:
		BScreen			fScreen;
		BRect			screenRect;
		
		float 			xCoord;
		float 			yCoord;
		float 			xIncrease;
		float 			yIncrease;
};

#endif // CONVERGENCE_VIEW_H
