//***********************************************************************
//		MonitorTest / ReadabilityView.h
//
//					Copyright (c) 2003 David Blumberg
//						davidblumberg@pixay.com
//					Published under the MIT license
//***********************************************************************

#ifndef READABILITY_VIEW_H
#define READABILITY_VIEW_H

#include <Application.h>
#include <Font.h>
#include <Screen.h>
#include <String.h>
#include <View.h>


class ReadabilityView : public BView
{
	public:
						ReadabilityView(BRect frame, const char *name, uint32 resizingMode = B_FOLLOW_ALL, uint32 flags = B_WILL_DRAW);
						~ReadabilityView();
		virtual void	Draw(BRect updateRect);
		void			MouseDown(BPoint where);
	
	private:
		BFont			*font;
		BScreen			fScreen;
		BRect			screenRect;
		
		BString			text;
};

#endif // READABILITY_VIEW_H
