//***********************************************************************
//		MonitorTest / GeometryView.h
//
//					Copyright (c) 2003 David Blumberg
//						davidblumberg@pixay.com
//					Published under the MIT license
//***********************************************************************

#ifndef GEOMETRY_VIEW_H
#define GEOMETRY_VIEW_H

#include <Application.h>
#include <Screen.h>
#include <View.h>


class GeometryView : public BView
{
	public:
						GeometryView(BRect frame, const char *name, uint32 resizingMode = B_FOLLOW_ALL, uint32 flags = B_WILL_DRAW);
						~GeometryView();
		virtual void	Draw(BRect updateRect);
		void			MouseDown(BPoint where);
	
	private:
		BScreen			fScreen;
		BRect			screenRect;
		
		float 			xCoord;
		float 			yCoord;
		float 			xIncrease;
		float 			yIncrease;
};

#endif // GEOMETRY_VIEW_H
