//***********************************************************************
//		MonitorTest / MoireView.h
//
//					Copyright (c) 2003 David Blumberg
//						davidblumberg@pixay.com
//					Published under the MIT license
//***********************************************************************

#ifndef MOIRE_VIEW_H
#define MOIRE_VIEW_H

#include <Application.h>
#include <Screen.h>
#include <View.h>


class MoireView : public BView
{
	public:
						MoireView(BRect frame, const char *name, uint32 resizingMode = B_FOLLOW_ALL, uint32 flags = B_WILL_DRAW);
						~MoireView();
		virtual void	Draw(BRect updateRect);
		void			MouseDown(BPoint where);
	
	private:
		BRect			screenRect;
		BScreen			fScreen;
		
		float 			xIncrease;
		float			yIncrease;
};

#endif // MOIRE_VIEW_H
